%define _requires_exceptions font\\\(.*\\\)|font\\\(:lang=.*\\\)

Name:	denemo
Version:	2.6.0
Release:	%mkrel 1
Summary:	WYSIWYG musical score editor and frontend for Lilypond
License:	GPLv2+
Group:		Sound
URL:		http://www.denemo.org/
Source0:	https://ftp.gnu.org/gnu/denemo/%{name}-%{version}.tar.xz
BuildRequires:	intltool
BuildRequires:	bison
BuildRequires:	flex
BuildRequires:	portmidi-devel
BuildRequires:	desktop-file-utils
BuildRequires:	 lib64glib2.0-devel
BuildRequires:	 lib64xml2-devel
BuildRequires:	 lib64sndfile-devel
BuildRequires:	 lib64fontconfig-devel
BuildRequires:	 lib64gtk+3.0-devel
BuildRequires:	 lib64portaudio-devel
BuildRequires:	 lib64fftw-devel
BuildRequires:	 evince-devel
BuildRequires:	 lib64guile-devel
BuildRequires:	 lib64aubio-devel
BuildRequires:	 lib64fluidsynth-devel
BuildRequires:	 lib64gtksourceview4-devel
BuildRequires:	 lib64rsvg2-devel
BuildRequires:	 lib64rubberband-devel

Requires:	lilypond
Requires:	TiMidity++
Requires:	pmidi
Requires:	fluidsynth


%description
Denemo is the GNU graphical musical score editor, and serves as a frontend
to Lilypond. Besides lilypond, it can also export music into ABC format.
as well as handling Csound score files playback and MIDI playback.

%prep
%setup -q

# port to gtksourceview4
perl -pi -e 's/gtksourceview-3.0/gtksourceview-4/g' configure.ac

%build
autoreconf -fi
%configure2_5x \
	--disable-static \
	--enable-gtk3 \
	--enable-doc \
	--enable-guile_2_0
%make_build

%install
rm -rf %buildroot
%make_install

desktop-file-install --vendor="" \
	--dir %{buildroot}%{_datadir}/applications \
	--remove-category="GNOME" \
	--remove-category="AudioVideo" \
	--remove-category="Music" \
	--remove-category="Education" \
	--add-category="GTK" \
	--add-category="X-MandrivaLinux-Multimedia-Sound" \
	%{buildroot}%{_datadir}/applications/*


%files
%{_bindir}
%{_datadir}

%changelog
* Thu Jul 21 2022 pp - 2.6.0-1pclos2022
- import package

